For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create a new contact and add it to a customer

Create a new contact and add it to a customer

Required permissions: CUSTOMER,SALES_ORDER,RETURN_ORDER

post
/tenants/{tenantUid}/customers/{customerUid}/contacts
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
customerUidstringRequired

Reference to a Customer.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body

CustomerContactCreateSchema

firstnamestringRequired
lastnamestringRequired
emailstringOptional
mobilestringOptional
addressstringOptional
postalCodestringOptional
citystringOptional
customerContactUidstringOptionalPattern: ^[A-Za-z0-9-_]+
rolestring · enumOptionalPossible values:
Responses
200

Example response

application/json

CustomerContactResponseSchema

firstnamestringRequired
lastnamestringRequired
emailstringRequired
mobilestringRequired
addressstringRequired
postalCodestringRequired
citystringRequired
createdAtstring · date-timeRequired
lastModifiedAtstring · date-timeRequired
customerContactUidstringRequired
displayNamestringRequired
rolestring · enumRequiredPossible values:
post/tenants/{tenantUid}/customers/{customerUid}/contacts
POST /v2/tenants/{tenantUid}/customers/{customerUid}/contacts HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 163

{
  "firstname": "text",
  "lastname": "text",
  "email": "text",
  "mobile": "text",
  "address": "text",
  "postalCode": "text",
  "city": "text",
  "customerContactUid": "text",
  "role": "ADMIN"
}
200

Example response

{
  "firstname": "text",
  "lastname": "text",
  "email": "text",
  "mobile": "text",
  "address": "text",
  "postalCode": "text",
  "city": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "customerContactUid": "text",
  "extensions": [
    {
      "extensionCode": "TWO_INVOICE",
      "organizationUid": "text"
    }
  ],
  "displayName": "text",
  "role": "ADMIN"
}

Last updated

Was this helpful?